# Sway config: Output
#
# Thurstylark

# Setup for built-in monitor
set $o-internal-id "eDP-1"
set $o-internal-mode "1920x1080@60Hz"
set $o-internal-pos-x "0"
set $o-internal-pos-y "0"

# Setup for 4k monitor attached to work dock
set $o-dock4k-id "Ancor Communications Inc ASUS PB287Q 0x00005B34"
set $o-dock4k-mode "2560x1440@59Hz"
set $o-dock4k-pos-x "1920"
set $o-dock4k-pos-y "0"

# Setup for 1080 monitor attached to work dock
set $o-docklg-id "Goldstar Company Ltd LG FULL HD 503NDWEH8441"
set $o-docklg-mode "1920x1080@60Hz"
set $o-docklg-pos-x "4480"
set $o-docklg-pos-y "0"

# Setup for personal ultrawide monitor
set $o-puwide-id "Unknown ASUS VP348 0x0000CA5D"
set $o-puwide-mode "3440x1440@59Hz"
set $o-puwide-pos-x "1920"
set $o-puwide-pos-y "0"


# Sane default of 1080p60
output * mode 1920x1080@60Hz

output * bg ~/.config/sway/$hostname/bg center #000000

# Set minimum brightness
exec "light -N 6"

# Set monitors for work dock
output $o-internal-id pos $o-internal-pos-x $o-internal-pos-y mode $o-internal-mode
output $o-dock4k-id pos $o-dock4k-pos-x $o-dock4k-pos-y mode $o-dock4k-mode
output $o-docklg-id pos $o-docklg-pos-x $o-docklg-pos-y mode $o-docklg-mode
output $o-puwide-id pos $o-puwide-pos-x $o-puwide-pos-y mode $o-puwide-mode
